# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mailbox/microchip,mpfs-mailbox.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Microchip PolarFire SoC (MPFS) MSS (microprocessor subsystem) mailbox controller

maintainers:
  - Conor Dooley <conor.dooley@microchip.com>

properties:
  compatible:
    oneOf:
      - items:
          - const: microchip,pic64gx-mailbox
          - const: microchip,mpfs-mailbox
      - const: microchip,mpfs-mailbox

  reg:
    oneOf:
      - items:
          - description: mailbox data registers
      - items:
          - description: mailbox control & data registers
          - description: mailbox interrupt registers
        deprecated: true
      - items:
          - description: mailbox control registers
          - description: mailbox interrupt registers
          - description: mailbox data registers
        deprecated: true

  interrupts:
    maxItems: 1

  "#mbox-cells":
    const: 1

required:
  - compatible
  - reg
  - interrupts
  - "#mbox-cells"

additionalProperties: false

examples:
  - |
    soc {
      #address-cells = <1>;
      #size-cells = <1>;

      mailbox@37020800 {
        compatible = "microchip,mpfs-mailbox";
        reg = <0x37020800 0x100>;
        interrupt-parent = <&L1>;
        interrupts = <96>;
        #mbox-cells = <1>;
      };
    };
